# -*- coding: utf-8 -*-
#
#    Copyright © 2019 Simon Forman
#
#    This file is part of Thun
#
#    Thun is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Thun is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Thun.  If not see <http://www.gnu.org/licenses/>.
#
from StringIO import StringIO
import base64, zlib


def create(fn='Iosevka12.BMP'):
    with open(fn, 'rb') as f:
        data = f.read()
    return base64.encodestring(zlib.compress(data))


data = StringIO(zlib.decompress(base64.decodestring('''\
[encoded data, 11627 characters]
lnalXc/9SsNb2vUirzS8pV0v8gJv/w/2vRht''')))


if __name__ == '__main__':
    print create()
